package Bencher::ScenarioR::RegexpIPv6;

our $VERSION = 0.001; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        dataset    => "127.0.0.1",
        errors     => 3.7e-10,
        rate       => 1160000,
        samples    => 26,
        time       => 864,
        vs_slowest => 1,
      },
      {
        dataset    => "ff02::1",
        errors     => 3.2e-10,
        rate       => 1160000,
        samples    => 33,
        time       => 859,
        vs_slowest => 1.01,
      },
      {
        dataset    => "2001:cdba:0000:0000:0000:0000:3257:9652",
        errors     => 1.8e-10,
        rate       => 1470000,
        samples    => 28,
        time       => 680,
        vs_slowest => 1.27,
      },
    ],
    {
      "func.bencher_args"    => {
                                  action => "bench",
                                  note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                  scenario_module => "RegexpIPv6",
                                },
      "func.bencher_version" => undef,
      "func.cpu_info"        => [
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 0,
                                    speed                        => 2859.335,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 1,
                                    speed                        => 2876.015,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 2,
                                    speed                        => 2731.039,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 3,
                                    speed                        => 2870.328,
                                    stepping                     => 4,
                                  },
                                ],
      "func.elapsed_time"    => 0.0935459136962891,
      "func.module_startup"  => undef,
      "func.module_versions" => {
                                  "Bencher::Scenario::RegexpIPv6" => undef,
                                  "Benchmark::Dumb" => "0.10",
                                  "Devel::Platform::Info" => 0.16,
                                  "perl" => "v5.24.0",
                                  "Regexp::IPv6" => 0.03,
                                  "Sys::Info" => 0.78,
                                  "Sys::Load" => 0.2,
                                },
      "func.note"            => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"         => ["perl", ["perl"], "participant", [0], "dataset", [0, 1, 2]],
      "func.platform_info"   => {
                                  archname => "x86_64",
                                  codename => "rosa",
                                  is32bit  => 0,
                                  is64bit  => 1,
                                  kernel   => "linux-3.19.0-32-generic",
                                  kname    => "Linux",
                                  kvers    => "3.19.0-32-generic",
                                  osflag   => "linux",
                                  oslabel  => "LinuxMint",
                                  osname   => "GNU/Linux",
                                  osvers   => 17.3,
                                  source   => {
                                                "cat /etc/.issue" => "",
                                                "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                "uname -m"        => "x86_64",
                                                "uname -o"        => "GNU/Linux",
                                                "uname -r"        => "3.19.0-32-generic",
                                                "uname -s"        => "Linux",
                                              },
                                },
      "func.precision"       => 0,
      "func.scenario_module" => "Bencher::Scenario::RegexpIPv6",
      "func.sysload_after"   => [0.85, 0.37, 0.22],
      "func.sysload_before"  => [0.85, 0.37, 0.22],
      "func.time_end"        => 1476939127.21314,
      "func.time_factor"     => 1000000000,
      "func.time_start"      => 1476939127.11959,
      "table.field_aligns"   => ["left", "number", "number", "number", "number", "number"],
      "table.field_units"    => [undef, "/s", "ns"],
      "table.fields"         => ["dataset", "rate", "time", "vs_slowest", "errors", "samples"],
    },
  ],
];

1;
# ABSTRACT: Benchmark matching IPv6 address

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

